# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-IPC-Cmd
Version:	0.76
Release:	1.%{__distinit}%{__distvers}
Summary:	Finding and running system commands made easy
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/IPC-Cmd/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/IPC-Cmd-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IPC::Run)
BuildRequires:	perl(Locale::Maketext::Simple)
BuildRequires:	perl(Module::Load::Conditional)
BuildRequires:	perl(Params::Check) >= 0.20
BuildRequires:	perl(Socket)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Text::ParseWords)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(ExtUtils::MakeMaker)
Requires:	perl(IPC::Run)

%description
IPC::Cmd allows you to run commands, interactively if desired, platform
independent but have them still work.

%prep
%setup -q -n IPC-Cmd-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/IPC/
%{_mandir}/man3/IPC::Cmd.3pm*

%changelog
* Mon Jan 30 2012 Paul Howarth <paul@city-fan.org> 0.76-1
- Update to 0.76
   - Make the empty arg stripping the default again, with an option to
     override this behaviour

* Mon Jan 30 2012 Paul Howarth <paul@city-fan.org> 0.74-1
- Update to 0.74
  - CPAN RT#74373: Compilation error when POSIX.pm fails to load
  - CPAN RT#74470: Empty string cannot be passed to command
- Add buildreqs for perl core modules that might be dual-lived

* Mon Oct 31 2011 Paul Howarth <paul@city-fan.org> 0.72-3
- Require perl(ExtUtils::MakeMaker) (#711486)

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> 0.72-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> 0.72-1
- Update to 0.72
  - Added IPC::Open3 support for capturing STDOUT/STDERR on MSWin32; prefer
    this over IPC::Run
- Nobody else likes macros for commands

* Tue Feb  1 2011 Paul Howarth <paul@city-fan.org> 0.70-1
- Update to 0.70
  - Apply a patch from CPAN RT #65276 with changes for run_forked:
    - Fix for the typo in the name of the signal
    - Changed default for clean_up_children (which seems to be the behaviour
      expected by the majority of the users)
    - Added detection (and forwarding to the caller) of the case when run
      program is killed by signal
    - kill_gently is now used in cases when parent died and when the executed
      program times out
    - Added options that allow execution of some user code in the beginning and
      at the end of the child process

* Mon Jan 10 2011 Paul Howarth <paul@city-fan.org> 0.68-1
- Update to 0.68 (fixes for bleadperl)

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> 0.66-1
- Import from Fedora
- Update to 0.66
- This release by BINGOS -> update source URL

* Mon Oct 15 2007 Steven Pritchard <steve@kspei.com> 0.38-1
- Update to 0.38
- Update License tag
- BR Test::More

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.36-2
- BR ExtUtils::MakeMaker

* Fri Nov 24 2006 Steven Pritchard <steve@kspei.com> 0.36-1
- Update to 0.36

* Fri Nov 03 2006 Steven Pritchard <steve@kspei.com> 0.34-1
- Update to 0.34
- Explicitly BR Params::Check >= 0.20

* Tue Oct 17 2006 Steven Pritchard <steve@kspei.com> 0.32-1
- Update to 0.32
- Use fixperms macro instead of our own chmod incantation

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.25-1
- Update to 0.25
- Fix find option order

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> 0.24-1
- Specfile autogenerated by cpanspec 1.62
- Fix License
- Drop explicit Requires
